
Redmine - Defect #10885

DB:MIGRATE rake aborted! syntax error on line 7, col -1: `  encoding: utf8

2012-05-11 15:59 - Tony Deboschère

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.2

Description

Hi.

I'm trying to install redmine 1.3.2 on Ubuntu 12.04 LTS

mysql  Ver 14.14 Distrib 5.5.22, for debian-linux-gnu (x86_64) using readline 6.2

ruby 1.8.7 (2011-06-30 patchlevel 352) [x86_64-linux]

Rails 2.3.14

gem 1.8.15

I'v been trying to do it via apt-get install redmine redmine-mysql

But I Still get a rake error on the db:migrate phase.

Here are what I get when tryng to lauch the install via :

sudo rake db:migrate RAILS_ENV="production" --trace

sudo rake db:migrate RAILS_ENV="production" --trace

NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01

.

Gem.source_index called from /usr/share/redmine/config/../vendor/rails/railties/lib/rails/gem_depe

ndency.rb:21.

NOTE: Gem::SourceIndex#initialize is deprecated with no replacement. It will be removed on or afte

r 2011-11-01.

Gem::SourceIndex#initialize called from /usr/share/redmine/config/../vendor/rails/railties/lib/rai

ls/vendor_gem_source_index.rb:100.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on o

r after 2011-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on o

r after 2011-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on o

r after 2011-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on o

r after 2011-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on o

r after 2011-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on o

r after 2011-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on o

r after 2011-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

Please install RDoc 2.4.2+ to generate documentation.

** Invoke db:migrate (first_time)

** Invoke environment (first_time)

** Execute environment

rake aborted!

syntax error on line 7, col -1: `  encoding: utf8
'

/usr/lib/ruby/1.8/yaml.rb:133:in `load'

/usr/lib/ruby/1.8/yaml.rb:133:in `load'

/usr/share/redmine/config/../vendor/rails/railties/lib/initializer.rb:926:in `database_configurati

on'

/usr/share/redmine/config/../vendor/rails/railties/lib/initializer.rb:437:in `initialize_database'

/usr/share/redmine/config/../vendor/rails/railties/lib/initializer.rb:141:in `process'

/usr/share/redmine/config/../vendor/rails/railties/lib/initializer.rb:113:in `send'

/usr/share/redmine/config/../vendor/rails/railties/lib/initializer.rb:113:in `run'

/usr/share/redmine/config/environment.rb:49

/usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

/usr/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:36:in `require'

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:182:in `require'

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:547:in `new_constants_in'

/usr/lib/ruby/vendor_ruby/active_support/dependencies.rb:182:in `require'

/usr/share/redmine/vendor/rails/railties/lib/tasks/misc.rake:4

/usr/lib/ruby/vendor_ruby/rake/task.rb:205:in `call'

/usr/lib/ruby/vendor_ruby/rake/task.rb:205:in `execute'

/usr/lib/ruby/vendor_ruby/rake/task.rb:200:in `each'

/usr/lib/ruby/vendor_ruby/rake/task.rb:200:in `execute'

/usr/lib/ruby/vendor_ruby/rake/task.rb:158:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/vendor_ruby/rake/task.rb:151:in `invoke_with_call_chain'

/usr/lib/ruby/vendor_ruby/rake/task.rb:176:in `invoke_prerequisites'

/usr/lib/ruby/vendor_ruby/rake/task.rb:174:in `each'

/usr/lib/ruby/vendor_ruby/rake/task.rb:174:in `invoke_prerequisites'

/usr/lib/ruby/vendor_ruby/rake/task.rb:157:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/vendor_ruby/rake/task.rb:151:in `invoke_with_call_chain'

/usr/lib/ruby/vendor_ruby/rake/task.rb:144:in `invoke'

/usr/lib/ruby/vendor_ruby/rake/application.rb:116:in `invoke_task'

/usr/lib/ruby/vendor_ruby/rake/application.rb:94:in `top_level'

/usr/lib/ruby/vendor_ruby/rake/application.rb:94:in `each'

/usr/lib/ruby/vendor_ruby/rake/application.rb:94:in `top_level'

/usr/lib/ruby/vendor_ruby/rake/application.rb:133:in `standard_exception_handling'

/usr/lib/ruby/vendor_ruby/rake/application.rb:88:in `top_level'

/usr/lib/ruby/vendor_ruby/rake/application.rb:66:in `run'

/usr/lib/ruby/vendor_ruby/rake/application.rb:133:in `standard_exception_handling'

/usr/lib/ruby/vendor_ruby/rake/application.rb:63:in `run'

/usr/bin/rake:27

Tasks: TOP => db:migrate => environment

 Any help would be appreciated.

Regards.

History

#1 - 2012-05-11 21:23 - Mischa The Evil

This seems more of a support request, which belongs in the forums (Help).

#2 - 2012-05-12 10:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

It looks like your database.yml is not a valid YAML file.

#3 - 2012-05-12 16:05 - Tony Deboschère

Thx a lot. It was coming from my database password !

I was using some special character in it. * in my case.

After I removed it the apt-get install was successfull !

And sorry for the wrond channel.
